<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="ef7451eb-64f5-40b3-81e2-6b92833acafd" name="Default" comment="接口">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/application/web/controller/IndexController.php" beforeDir="false" afterPath="$PROJECT_DIR$/application/web/controller/IndexController.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/application/web/controller/MainController.php" beforeDir="false" afterPath="$PROJECT_DIR$/application/web/controller/MainController.php" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/application/web/controller/UserController.php" beforeDir="false" afterPath="$PROJECT_DIR$/application/web/controller/UserController.php" afterDir="false" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" doNotAsk="true" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/composer.json</pharConfigPath>
  </component>
  <component name="FavoritesManager">
    <favorites_list name="fipres" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="database.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/database.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="273">
              <caret line="21" column="10" selection-start-line="21" selection-start-column="10" selection-end-line="21" selection-end-column="10" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="IndexController.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/application/web/controller/IndexController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="247">
              <caret line="34" column="24" lean-forward="true" selection-start-line="34" selection-start-column="24" selection-end-line="34" selection-end-column="24" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="UserController.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/web/controller/UserController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="630">
              <caret line="113" column="5" lean-forward="true" selection-start-line="86" selection-start-column="3" selection-end-line="113" selection-end-column="5" />
              <folding>
                <element signature="e#6#80#0#PHP" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="MainController.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/application/web/controller/MainController.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="714">
              <caret line="48" column="26" lean-forward="true" selection-start-line="48" selection-start-column="26" selection-end-line="48" selection-end-column="27" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="standard_9.php" pinned="false" current-in-tab="false">
        <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/standard/standard_9.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="298">
              <caret line="110" column="55" selection-start-line="110" selection-start-column="45" selection-end-line="110" selection-end-column="55" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Query.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/thinkphp/library/think/db/Query.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="542">
              <caret line="2890" column="39" selection-start-line="2890" selection-start-column="39" selection-end-line="2890" selection-end-column="39" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Connection.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/thinkphp/library/think/db/Connection.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1697">
              <caret line="775" column="20" selection-start-line="775" selection-start-column="18" selection-end-line="775" selection-end-column="20" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="helper.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/thinkphp/helper.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1806">
              <caret line="111" column="32" selection-start-line="111" selection-start-column="32" selection-end-line="111" selection-end-column="34" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="app.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/app.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="2877">
              <caret line="145" selection-start-line="145" selection-end-line="145" />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="config.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/config.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="231">
              <caret line="11" selection-start-line="11" selection-end-line="11" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>bd_decrypt</find>
      <find>deviceinfo</find>
      <find>reportdata</find>
      <find>app.</find>
      <find>config</find>
      <find>$ALARMSTARTTIME</find>
      <find>status</find>
      <find>在线</find>
      <find>'在线'</find>
      <find>$v['statu']</find>
      <find>datatime</find>
      <find>cache</find>
      <find>7</find>
    </findStrings>
    <replaceStrings>
      <replace>config.</replace>
      <replace>cache</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/application/web/controller/CommonController.php" />
        <option value="$PROJECT_DIR$/../qh/public/index.php" />
        <option value="$PROJECT_DIR$/../index.php" />
        <option value="$PROJECT_DIR$/../qh - 副本/public/index.php" />
        <option value="$PROJECT_DIR$/../app/index.php" />
        <option value="$PROJECT_DIR$/public/collect.json" />
        <option value="$PROJECT_DIR$/config/app.php" />
        <option value="$PROJECT_DIR$/config/config.php" />
        <option value="$PROJECT_DIR$/config/database.php" />
        <option value="$PROJECT_DIR$/application/web/controller/UserController.php" />
        <option value="$PROJECT_DIR$/application/web/controller/MainController.php" />
        <option value="$PROJECT_DIR$/application/web/controller/IndexController.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsFlowSettings">
    <service-enabled>true</service-enabled>
    <exe-path />
    <other-services-enabled>true</other-services-enabled>
    <auto-save>true</auto-save>
  </component>
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/vendor/myclabs/php-enum" />
      <path value="$PROJECT_DIR$/vendor/symfony/polyfill-mbstring" />
      <path value="$PROJECT_DIR$/vendor/psr/http-message" />
      <path value="$PROJECT_DIR$/vendor/psr/simple-cache" />
      <path value="$PROJECT_DIR$/vendor/psr/http-client" />
      <path value="$PROJECT_DIR$/vendor/psr/http-factory" />
      <path value="$PROJECT_DIR$/vendor/composer" />
      <path value="$PROJECT_DIR$/vendor/markbaker/matrix" />
      <path value="$PROJECT_DIR$/vendor/phpoffice/phpspreadsheet" />
      <path value="$PROJECT_DIR$/vendor/maennchen/zipstream-php" />
      <path value="$PROJECT_DIR$/vendor/markbaker/complex" />
      <path value="$PROJECT_DIR$/vendor/firebase/php-jwt" />
      <path value="$PROJECT_DIR$/vendor/topthink/think-installer" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="1912" />
    <option name="y" value="-8" />
    <option name="width" value="1936" />
    <option name="height" value="1056" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="application" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="application" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="web" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="fipres" type="b2602c69:ProjectViewProjectNode" />
              <item name="fipres" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="application" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="web" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="controller" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="editor.preferences.gutterIcons" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\webservice\PHPTutorial\WWW\fipres\public" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ef7451eb-64f5-40b3-81e2-6b92833acafd" name="Default" comment="" />
      <created>1604131607358</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1604131607358</updated>
      <workItem from="1604131609158" duration="2010000" />
      <workItem from="1604311357072" duration="1672000" />
      <workItem from="1604479748634" duration="1226000" />
      <workItem from="1604485963290" duration="26759000" />
      <workItem from="1604890258750" duration="22905000" />
      <workItem from="1605151260451" duration="22237000" />
      <workItem from="1605235679592" duration="4353000" />
      <workItem from="1605518942993" duration="8006000" />
      <workItem from="1606098202034" duration="13747000" />
      <workItem from="1607055682996" duration="15013000" />
    </task>
    <task id="LOCAL-00001" summary="接口">
      <created>1604731362079</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1604731362079</updated>
    </task>
    <task id="LOCAL-00002" summary="接口">
      <created>1604913284033</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1604913284033</updated>
    </task>
    <task id="LOCAL-00003" summary="接口">
      <created>1605166471376</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1605166471376</updated>
    </task>
    <task id="LOCAL-00004" summary="接口">
      <created>1605174731784</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1605174731784</updated>
    </task>
    <task id="LOCAL-00005" summary="接口">
      <created>1606372077752</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1606372077752</updated>
    </task>
    <option name="localTasksCounter" value="6" />
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="117928000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="1912" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" sideWeight="0.4951246" visible="true" weight="0.27025586" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="bottom" id="Database Changes" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="10" weight="0.32936078" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info id="Structure" order="1" sideWeight="0.5048754" side_tool="true" weight="0.26812366" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32936078" />
      <window_info id="Favorites" order="2" sideWeight="0.503792" side_tool="true" weight="0.26545843" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Find" order="1" />
    </layout>
    <layout-to-restore>
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info content_ui="combo" id="Project" order="0" sideWeight="0.4951246" visible="true" weight="0.26812366" />
      <window_info id="Structure" order="1" sideWeight="0.5048754" side_tool="true" visible="true" weight="0.26812366" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="right" id="Database" order="3" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32936078" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Database Changes" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="10" weight="0.32936078" />
      <window_info anchor="bottom" id="Event Log" order="11" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info id="Favorites" order="2" sideWeight="0.503792" side_tool="true" weight="0.26545843" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="接口" />
    <option name="LAST_COMMIT_MESSAGE" value="接口" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/thinkphp/helper.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1806">
          <caret line="111" column="32" selection-start-line="111" selection-start-column="32" selection-end-line="111" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2877">
          <caret line="145" selection-start-line="145" selection-end-line="145" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/cookie.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="17" column="18" selection-start-line="17" selection-start-column="18" selection-end-line="17" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="231">
          <caret line="11" lean-forward="true" selection-start-line="11" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/MainController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="567">
          <caret line="38" column="28" lean-forward="true" selection-start-line="38" selection-start-column="28" selection-end-line="38" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/database.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="26" column="23" selection-start-line="26" selection-start-column="23" selection-end-line="26" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thinkphp/helper.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1806">
          <caret line="111" column="32" selection-start-line="111" selection-start-column="32" selection-end-line="111" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2877">
          <caret line="145" selection-start-line="145" selection-end-line="145" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/cookie.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="17" column="18" selection-start-line="17" selection-start-column="18" selection-end-line="17" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="231">
          <caret line="11" selection-start-line="11" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/IndexController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="840">
          <caret line="40" column="41" lean-forward="true" selection-start-line="40" selection-start-column="41" selection-end-line="40" selection-end-column="41" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/database.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="26" column="23" selection-start-line="26" selection-start-column="23" selection-end-line="26" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../cable/application/web/controller/IndexController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3213">
          <caret line="167" column="31" lean-forward="true" selection-start-line="167" selection-start-column="31" selection-end-line="167" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="147">
          <caret line="7" selection-start-line="7" selection-end-line="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2877">
          <caret line="145" column="25" selection-start-line="145" selection-start-column="21" selection-end-line="145" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/cookie.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="17" column="18" selection-start-line="17" selection-start-column="18" selection-end-line="17" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/IndexController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="651">
          <caret line="45" column="12" selection-start-line="45" selection-start-column="12" selection-end-line="45" selection-end-column="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/database.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="26" column="23" selection-start-line="26" selection-start-column="23" selection-end-line="26" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/IndexController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1827">
          <caret line="87" column="6" lean-forward="true" selection-start-line="87" selection-start-column="6" selection-end-line="87" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/MainController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="756">
          <caret line="47" column="28" lean-forward="true" selection-start-line="47" selection-start-column="28" selection-end-line="47" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/collect.json">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="47" lean-forward="true" selection-start-column="47" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="22" column="53" selection-start-line="22" selection-start-column="53" selection-end-line="22" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1029">
          <caret line="57" column="36" selection-start-line="57" selection-start-column="33" selection-end-line="57" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/UserController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4956">
          <caret line="246" column="2" selection-start-line="246" selection-start-column="2" selection-end-line="269" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/CommonController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3108">
          <caret line="148" column="11" lean-forward="true" selection-start-line="148" selection-start-column="11" selection-end-line="148" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/CommonController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3066">
          <caret line="146" lean-forward="true" selection-start-line="146" selection-end-line="146" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/CommonController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3192">
          <caret line="152" column="9" lean-forward="true" selection-start-line="152" selection-start-column="9" selection-end-line="152" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/CommonController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="132" column="32" selection-start-line="132" selection-start-column="32" selection-end-line="132" selection-end-column="32" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="22" column="53" selection-start-line="22" selection-start-column="53" selection-end-line="22" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../qh/public/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="21">
          <caret line="7" column="74" lean-forward="true" selection-start-line="7" selection-start-column="74" selection-end-line="7" selection-end-column="74" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="84">
          <caret line="4" column="21" selection-start-line="4" selection-start-column="21" selection-end-line="4" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../qh - 副本/public/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="42">
          <caret line="8" column="20" selection-start-line="8" selection-start-column="20" selection-end-line="8" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../app/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="21">
          <caret line="4" column="3" lean-forward="true" selection-start-line="4" selection-start-column="3" selection-end-line="4" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/public/collect.json">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="47" lean-forward="true" selection-start-column="47" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/common.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="12" selection-start-line="12" selection-end-line="12" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/console.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="252">
          <caret line="20" lean-forward="true" selection-start-line="20" selection-end-line="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../cable/application/web/controller/IndexController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-4666">
          <caret line="167" column="31" selection-start-line="167" selection-start-column="31" selection-end-line="167" selection-end-column="31" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/standard/standard_8.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="298">
          <caret line="1015" column="40" selection-start-line="1015" selection-start-column="36" selection-end-line="1015" selection-end-column="40" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/common/plugin/Jwt.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="19" lean-forward="true" selection-start-line="19" selection-end-line="19" />
          <folding>
            <element signature="e#121#159#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/cookie.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="189">
          <caret line="17" column="18" selection-start-line="17" selection-start-column="18" selection-end-line="17" selection-end-column="18" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/date/date.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="298">
          <caret line="291" column="9" selection-start-line="291" selection-start-column="9" selection-end-line="291" selection-end-column="9" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thinkphp/helper.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1806">
          <caret line="111" column="32" selection-start-line="111" selection-start-column="32" selection-end-line="111" selection-end-column="34" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/app.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2877">
          <caret line="145" selection-start-line="145" selection-end-line="145" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/config.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="231">
          <caret line="11" selection-start-line="11" selection-end-line="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/database.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="273">
          <caret line="21" column="10" selection-start-line="21" selection-start-column="10" selection-end-line="21" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$APPLICATION_HOME_DIR$/plugins/php/lib/php.jar!/stubs/standard/standard_9.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="298">
          <caret line="110" column="55" selection-start-line="110" selection-start-column="45" selection-end-line="110" selection-end-column="55" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thinkphp/library/think/db/Query.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="542">
          <caret line="2890" column="39" selection-start-line="2890" selection-start-column="39" selection-end-line="2890" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/thinkphp/library/think/db/Connection.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1697">
          <caret line="775" column="20" selection-start-line="775" selection-start-column="18" selection-end-line="775" selection-end-column="20" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/UserController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="630">
          <caret line="113" column="5" lean-forward="true" selection-start-line="86" selection-start-column="3" selection-end-line="113" selection-end-column="5" />
          <folding>
            <element signature="e#6#80#0#PHP" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/MainController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="714">
          <caret line="48" column="26" lean-forward="true" selection-start-line="48" selection-start-column="26" selection-end-line="48" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/application/web/controller/IndexController.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="247">
          <caret line="34" column="24" lean-forward="true" selection-start-line="34" selection-start-column="24" selection-end-line="34" selection-end-column="24" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ScopeChooserConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>